Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface DelimiterCharChecker

All Known Implementing Classes:
  EndDelimiterCharChecker, StartEndDelimiterCharChecker, WhitespaceCharDelimiterChecker

    public interface DelimiterCharChecker

Field Summary
`static DelimiterCharChecker[]` | `EMPTY_DELIMITER_CHECKER_ARRAY`
`static DelimiterCharChecker` | `NULL`

Method Summary
`int` | `foundEndDelimiter(char[] data, int start, int length)`
`int` | `foundEndDelimiter(char[] data, int start, int length, TokenReceiver receiver)`
`boolean` | `foundEndDelimiter(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `readEscapedDelimiter(char[] data, int start, int length, CharArrayBuilder charArrayBuilder)`
`boolean` | `readEscapedDelimiter(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`boolean` | `testContinuation(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `testStart(char[] data, int start, int length)`
`boolean` | `testStart(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`

Field Detail

### NULL

    static final DelimiterCharChecker NULL

### EMPTY_DELIMITER_CHECKER_ARRAY

    static final DelimiterCharChecker[] EMPTY_DELIMITER_CHECKER_ARRAY

Method Detail

### testStart

    boolean testStart(CharBuffer recordBuffer,
                      CharArrayBuilder charArrayBuilder)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEndDelimiter

    boolean foundEndDelimiter(CharBuffer recordBuffer,
                              CharArrayBuilder charArrayBuilder)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readEscapedDelimiter

    boolean readEscapedDelimiter(CharBuffer recordBuffer,
                                 CharArrayBuilder charArrayBuilder)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### testContinuation

    boolean testContinuation(CharBuffer recordBuffer,
                             CharArrayBuilder charArrayBuilder)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEndDelimiter

    int foundEndDelimiter(char[] data,
                          int start,
                          int length)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEndDelimiter

    int foundEndDelimiter(char[] data,
                          int start,
                          int length,
                          TokenReceiver receiver)

### readEscapedDelimiter

    int readEscapedDelimiter(char[] data,
                             int start,
                             int length,
                             CharArrayBuilder charArrayBuilder)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### testStart

    int testStart(char[] data,
                  int start,
                  int length)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD